petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPGetTotalIterations

Gets the total number of iterations this KSP object has performed since was created, counted over all linear solves

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGetTotalIterations(KSP ksp,PetscInt *its)

Not Collective Many br

### Input Parameters

ksp -the iterative context Many br

### Output Parameters

its -total number of iterations Many br

Many br

Notes: Use KSPGetIterationNumber() to get the count for the most recent solve only Many brIf this is called within a linear solve (such as in a KSPMonitor routine) then it does not include iterations within that current solve Many br

### Keywords

KSP, get, residual norm

### See Also

KSPBuildResidual(), KSPGetResidualNorm(), KSPGetIterationNumber()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5.c.html